<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SheetUtil (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SheetUtil (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SheetUtil.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/SheetBuilder.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/SheetUtil.html" target="_top">Frames</a></li>
        <li><a href="SheetUtil.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.util</div>
    <h2 title="Class SheetUtil" class="title">Class SheetUtil</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.util.SheetUtil</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">SheetUtil</span>
extends java.lang.Object</pre>
                <div class="block">Helper methods for when working with Usermodel sheets</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SheetUtil.html#SheetUtil--">SheetUtil</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SheetUtil.html#canComputeColumnWidth-org.apache.poi.ss.usermodel.Font-">canComputeColumnWidth</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                        title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</code>
                                    <div class="block">Check if the Fonts are installed correctly so that Java can
                                        compute the size of
                                        columns.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SheetUtil.html#getCell-org.apache.poi.ss.usermodel.Sheet-int-int-">getCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                    int&nbsp;rowIx,
                                    int&nbsp;colIx)</code>
                                    <div class="block">Return the cell, without taking account of merged regions.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SheetUtil.html#getCellWidth-org.apache.poi.ss.usermodel.Cell-int-org.apache.poi.ss.usermodel.DataFormatter-boolean-">getCellWidth</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                    int&nbsp;defaultCharWidth,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                       title="class in org.apache.poi.ss.usermodel">DataFormatter</a>&nbsp;formatter,
                                    boolean&nbsp;useMergedCells)</code>
                                    <div class="block">Compute width of a single cell</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SheetUtil.html#getCellWithMerges-org.apache.poi.ss.usermodel.Sheet-int-int-">getCellWithMerges</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                    int&nbsp;rowIx,
                                    int&nbsp;colIx)</code>
                                    <div class="block">Return the cell, taking account of merged regions.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SheetUtil.html#getColumnWidth-org.apache.poi.ss.usermodel.Sheet-int-boolean-">getColumnWidth</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                    int&nbsp;column,
                                    boolean&nbsp;useMergedCells)</code>
                                    <div class="block">Compute width of a column and return the result</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SheetUtil.html#getColumnWidth-org.apache.poi.ss.usermodel.Sheet-int-boolean-int-int-">getColumnWidth</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                    int&nbsp;column,
                                    boolean&nbsp;useMergedCells,
                                    int&nbsp;firstRow,
                                    int&nbsp;lastRow)</code>
                                    <div class="block">Compute width of a column based on a subset of the rows and
                                        return the result
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SheetUtil.html#getDefaultCharWidth-org.apache.poi.ss.usermodel.Workbook-">getDefaultCharWidth</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                        title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb)</code>
                                    <div class="block">Get default character width using the Workbook's default font
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="SheetUtil--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SheetUtil</h4>
                                <pre>public&nbsp;SheetUtil()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCellWidth-org.apache.poi.ss.usermodel.Cell-int-org.apache.poi.ss.usermodel.DataFormatter-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellWidth</h4>
                                <pre>public static&nbsp;double&nbsp;getCellWidth(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                  int&nbsp;defaultCharWidth,
                                  <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                     title="class in org.apache.poi.ss.usermodel">DataFormatter</a>&nbsp;formatter,
                                  boolean&nbsp;useMergedCells)</pre>
                                <div class="block">Compute width of a single cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - the cell whose width is to be calculated</dd>
                                    <dd><code>defaultCharWidth</code> - the width of a single character</dd>
                                    <dd><code>formatter</code> - formatter used to prepare the text to be measured</dd>
                                    <dd><code>useMergedCells</code> - whether to use merged cells</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the width in pixels or -1 if cell is empty</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumnWidth-org.apache.poi.ss.usermodel.Sheet-int-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumnWidth</h4>
                                <pre>public static&nbsp;double&nbsp;getColumnWidth(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                    int&nbsp;column,
                                    boolean&nbsp;useMergedCells)</pre>
                                <div class="block">Compute width of a column and return the result</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheet</code> - the sheet to calculate</dd>
                                    <dd><code>column</code> - 0-based index of the column</dd>
                                    <dd><code>useMergedCells</code> - whether to use merged cells</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the width in pixels or -1 if all cells are empty</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumnWidth-org.apache.poi.ss.usermodel.Sheet-int-boolean-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumnWidth</h4>
                                <pre>public static&nbsp;double&nbsp;getColumnWidth(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                    int&nbsp;column,
                                    boolean&nbsp;useMergedCells,
                                    int&nbsp;firstRow,
                                    int&nbsp;lastRow)</pre>
                                <div class="block">Compute width of a column based on a subset of the rows and return
                                    the result
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheet</code> - the sheet to calculate</dd>
                                    <dd><code>column</code> - 0-based index of the column</dd>
                                    <dd><code>useMergedCells</code> - whether to use merged cells</dd>
                                    <dd><code>firstRow</code> - 0-based index of the first row to consider (inclusive)
                                    </dd>
                                    <dd><code>lastRow</code> - 0-based index of the last row to consider (inclusive)
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the width in pixels or -1 if cell is empty</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDefaultCharWidth-org.apache.poi.ss.usermodel.Workbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultCharWidth</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public static&nbsp;int&nbsp;getDefaultCharWidth(<a href="../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb)</pre>
                                <div class="block">Get default character width using the Workbook's default font</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>wb</code> - the workbook to get the default character width from</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>default character width in pixels</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="canComputeColumnWidth-org.apache.poi.ss.usermodel.Font-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>canComputeColumnWidth</h4>
                                <pre>public static&nbsp;boolean&nbsp;canComputeColumnWidth(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                        title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</pre>
                                <div class="block">Check if the Fonts are installed correctly so that Java can compute
                                    the size of
                                    columns.

                                    If a Cell uses a Font which is not available on the operating system then Java may
                                    fail to return useful Font metrics and thus lead to an auto-computed size of 0.

                                    This method allows to check if computing the sizes for a given Font will succeed or
                                    not.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>font</code> - The Font that is used in the Cell</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if computing the size for this Font will succeed, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCell-org.apache.poi.ss.usermodel.Sheet-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                           title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;getCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                           int&nbsp;rowIx,
                           int&nbsp;colIx)</pre>
                                <div class="block">Return the cell, without taking account of merged regions.
                                    <p>
                                        Use <a
                                            href="../../../../../org/apache/poi/ss/util/SheetUtil.html#getCellWithMerges-org.apache.poi.ss.usermodel.Sheet-int-int-"><code>getCellWithMerges(Sheet,
                                        int, int)</code></a> if you want the top left
                                        cell from merged regions instead when the reference is a merged cell.
                                    <p>
                                        Use this where you want to know if the given cell is explicitly defined
                                        or not.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheet</code> - The workbook sheet to look at.</dd>
                                    <dd><code>rowIx</code> - The 0-based index of the row.</dd>
                                    <dd><code>colIx</code> - The 0-based index of the cell.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>cell at the given location, or null if not defined</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.NullPointerException</code> - if sheet is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCellWithMerges-org.apache.poi.ss.usermodel.Sheet-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getCellWithMerges</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                           title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;getCellWithMerges(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                     int&nbsp;rowIx,
                                     int&nbsp;colIx)</pre>
                                <div class="block">Return the cell, taking account of merged regions. Allows you to find
                                    the
                                    cell who's contents are shown in a given position in the sheet.

                                    <p>If the cell at the given co-ordinates is a merged cell, this will
                                        return the primary (top-left) most cell of the merged region.
                                    <p>If the cell at the given co-ordinates is not in a merged region,
                                        then will return the cell itself.
                                    <p>If there is no cell defined at the given co-ordinates, will return
                                        null.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheet</code> - The workbook sheet to look at.</dd>
                                    <dd><code>rowIx</code> - The 0-based index of the row.</dd>
                                    <dd><code>colIx</code> - The 0-based index of the cell.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>cell at the given location, its base merged cell, or null if not defined</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.NullPointerException</code> - if sheet is null</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SheetUtil.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/SheetBuilder.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/SheetUtil.html" target="_top">Frames</a></li>
        <li><a href="SheetUtil.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
